//****************************************************************************
//
//	Kommandointerpreter fuer UART D0
//
//*****************************************************************************
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include "kommandD0.h"
#include "protoD0.h"
#include "uartD0.h"

char c_txstrD0[256];
char c_temp[20];


//*****************************************************************************
//	Kommand - Kommandointerpreter
//  Input:	Befehlsstring
//	Output:	-
//*****************************************************************************
void KommandointerpreterD0(char * pc_str)
{
unsigned char uc_ok = 0;

 
   if (!uc_ok) SENDE_ERRORD0();
}

//*****************************************************************************
//  Kommand - Sende String an PC
//  Input:        -
//  Output:        -
//*****************************************************************************
void SENDE_ERRORD0(void)
{
  strcpy(c_txstrD0,"ERROR");
  sende_UARTD0(c_txstrD0);
}


//*****************************************************************************
//  Kommand - Halfbyte
//  Input:  0..9,A..F
//  Output: byte
//*****************************************************************************
unsigned char Halfbyte(unsigned char uc_x)
{
unsigned char uc_tmp;

   uc_tmp = uc_x;
   if(uc_tmp > 0x39) uc_tmp = uc_tmp - 0x37; else uc_tmp = uc_tmp - 0x30;
   return(uc_tmp);
}


